Bug 172544 - Requires Qt, eventhough the Arts homepage says otherwise
Requires Qt, eventhough the Arts homepage says otherwise
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-06 16:09 EST by Frederik Hertzum
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 11:23:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederik Hertzum 2005-11-06 16:09:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; da-DK; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Arts, which is needed by a lot of things, requires on file found in the Qt package.

While it may be a good idea to have the whole Qt package for most, there is no need for the extra files required if Qt itself isn't required.

Arts is supposed to be completly useable without Qt according to the Arts homepage, so why it is depending on Qt is a mystery to me. The standalone artsd has been available since 2001, so this is something that should have been fixed a long time ago.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install anything that requires arts (and thus install arts)


Actual Results:  You are forced to install qt

Expected Results:  I expect qt to have nothing to do with arts, since arts can easily be made standalone and independt of qt.

Additional info:

http://www.arts-project.org/aol/1-download.html

The above url is the place where the standalone statment is made. Also a download link is available.
Comment 1 Christian Iseli 2007-01-19 19:59:13 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Frederik Hertzum 2007-10-22 11:23:49 EDT
Since I can't find arts to be alive, I'm closing it. I'm marking it as NOTABUG
due to lack of better tags.

Note You need to log in before you can comment on or make changes to this bug.